import request from '@/assets/js/utils/request'
// 获取用户列表
export function listUserByDepartRoleNamePages(data) {
  return request({
    url: '/bidprocurement/common-user/user/user/listUserByDepartRoleNamePages',
    method: 'post',
    data
  })
}
// 获取用户基本信息(天眼查)
export function getOrgBaseInfoByDepartName(data) {
  return request({
    url: '/bidprocurement/common-user/user/user/getOrgBaseInfoByDepartName',
    method: 'post',
    data
  })
}
// 启用停用删除
export function updateUserById(data) {
  return request({
    url: '/bidprocurement/common-user/user/user/updateUserById',
    method: 'post',
    data
  })
}
// 管理员批量修改重置用户密码
export function resetPasswodrForSupplier(data) {
  return request({
    url: '/bidprocurement/common-user/user/user/resetPasswodrForSupplier',
    method: 'post',
    data
  })
}
// 供应商基本信息变更时，点击修改触发保存的方法
export function changeDepartInfo(params) {
  return request({
    url: '/bidprocurement/common-user/user/departHistory/changeDepartInfo',
    method: 'get',
    params
  })
}
//  供应商经办人信息变更时，点击修改触发保存的方法
export function changeDepartLikerInfo(params) {
  return request({
    url: '/bidprocurement/common-user/user/CommonUserDepartLinkerController/changeDepartLikerInfo',
    method: 'get',
    params
  })
}
